Subject: Re: bug#63865: 29.0.90; call-process while owning the X selection hangs other processes

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Jun 2023 12:12:12 +0300

> From: Po Lu <[email-masked]>
> Cc: Spencer Baugh <[email-masked]>,  [email-masked]
> Date: Sat, 03 Jun 2023 15:11:19 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Spencer Baugh <[email-masked]>
> >> Date: Fri, 02 Jun 2023 21:55:09 -0400
> >> 
> >> 
> >> 1. Under X11, with the GTK or Lucid toolkits:
> >>    emacs -Q
> >> 2. Become owner of the clipboard selection by killing some text; the
> >>    starting comments in the scratch buffer are a good candidate.
> >> 3. Immediately afterwards (i.e. without copy and pasting text in another
> >>    window), run:
> >>    (call-process "sleep" nil nil nil "inf")
> >> 4. Now other applications will hang when they attempt to paste text.
> >>    Google Chrome and Slack are two examples.  (GTK-based applications
> >>    seem to be fine.  So much for proprietary software...)
> >
> > Thanks.
> >
> > Does this happen also with the latest pretest, v29.0.91?
> 
> I can't reproduce this, but the closest thing to Google Chrome on the
> computer I am currently using is Firefox 10.0.7.

It is strange that you cannot reproduce this.  I thought that when
another application requests a selection or clipboard text, the owner
(Emacs in this case) gets called, and since Emacs is sleeping, we
won't respond.

Are there some other factors involved in this interaction that I'm
missing?